# REPL

> REPL environment.


<section class="usage">

## Usage

``` javascript
var repl = require( '@stdlib/repl' );
```

#### repl( \[options\], clbk )

Starts a REPL environment.

``` javascript
repl( onStart );

function onStart( error, server ) {
    if ( error ) {
        throw error;
    }
}
```

</section>

<!-- /.usage -->


<section class="examples">

## Examples

``` javascript
var repl = require( '@stdlib/repl' );

// Start the REPL:
repl( onStart );

function onStart( error, server ) {
    if ( error ) {
        throw error;
    }
    // After the REPL has started, exit the process...
    setTimeout( onTimeout, 2500 );

    function onTimeout() {
        server.close();
    }
}
```

</section>

<!-- /.examples -->


---

<section class="cli">

## CLI

<section class="usage">

### Usage

``` bash
Usage: stdlib-repl [options]

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.
```

</section>

<!-- /.usage -->


<section class="examples">

### Examples

``` bash
$ stdlib-repl
Starting REPL...
```

</section>

<!-- /.examples -->

</section>

<!-- /.cli -->


<section class="links">

</section>

<!-- /.links -->
